### Name: portfolioHistory-class
### Title: Class "portfolioHistory"
### Aliases: portfolioHistory-class
###   add,portfolioHistory,portfolioBasic-method
###   contribution,portfolioHistory-method exposure,portfolioHistory-method
###   performance,portfolioHistory-method show,portfolioHistory-method
###   summary,portfolioHistory-method add
### Keywords: classes

### ** Examples

data(global.2004)

portfolios <- lapply(split(global.2004, global.2004$date),
                     function(x){
                       new("portfolioBasic",
                           name    = "test",
                           date    = as.Date(unique(x$date)),
                           id.var  = "symbol",
                           in.var  = "cap.bil",
                           ret.var = "ret.0.1.m",
                           type    = "sigmoid",
                           size    = "quintile",
                           sides   = c("long", "short"),
                           data    = x)

                     })

h    <- new("portfolioHistory",
            freq        = 12,
            exp.var     = c("currency", "sector", "liq.w", "cap.bil"),
            contrib.var = c("currency", "sector", "liq.w"))

for(i in 1:length(portfolios)) h <- add(h, portfolios[[i]])

exposure(h)
performance(h)
contribution(h)




